Bug 892685 (CVE-2012-6086)

Summary: CVE-2012-6086 zabbix: Improper use of cURL API might lead to improper SSL certificate verification (MiTM)
Product: [Other] Security Response Reporter: Jan Lieskovsky <jlieskov>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: brett.lentz, dan, nelsonab, volker27
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=moderate,public=20130102,reported=20130102,source=oss-security,cvss2=4.3/AV:N/AC:M/Au:N/C:N/I:P/A:N,openshift-1/zabbix=affected,fedora-all/zabbix=affected,epel-6/zabbix=affected,epel-6/zabbix20=affected,epel-5/zabbix=notaffected
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-10-08 16:37:48 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 892687, 892688, 892763, 893414    
Bug Blocks: 767033    

Description Jan Lieskovsky 2013-01-07 10:38:52 EST
A security flaw was found in the way Zabbix, an open-source monitoring solution for IT infrastructure, used (lib)cURL's CURLOPT_SSL_VERIFYHOST variable, when doing certificate validation (value of '1' meaning only check for the existence of a common name was used instead of value '2' - which also checks if the particular common name matches the requested hostname of the server). A rogue service could use this flaw to conduct man-in-the-middle (MiTM) attacks.

Upstream bug report:
[1] https://support.zabbix.com/browse/ZBX-5924

References:
[2] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=697443
[3] http://www.openwall.com/lists/oss-security/2013/01/02/1
[4] http://www.openwall.com/lists/oss-security/2013/01/03/1
Comment 1 Jan Lieskovsky 2013-01-07 10:44:47 EST
This issue affects the versions of the zabbix package, as shipped with Fedora release of 16 and 17. Please schedule an update.

--

This issue affects the version of the zabbix package, as shipped with Fedora EPEL 6. Please schedule an update.

--

This issue does not affect the version of the zabbix package, as shipped with Fedora EPEL 5 (looks certificate verification is not supported yet in v.1.4.7 version, currently shipped with Fedora EPEL 5).
Comment 2 Jan Lieskovsky 2013-01-07 10:45:38 EST
Created zabbix tracking bugs for this issue

Affects: fedora-all [bug 892687]
Affects: epel-6 [bug 892688]
Comment 5 Volker Fröhlich 2013-01-07 14:05:37 EST
There's a zabbix20 package in EPEL 6 as well.
Comment 6 Jan Lieskovsky 2013-01-09 05:28:28 EST
(In reply to comment #5)
> There's a zabbix20 package in EPEL 6 as well.

Thank you for pointing out, Volker. Checking that one yet then.
Comment 7 Jan Lieskovsky 2013-01-09 05:35:04 EST
This issue affects the version of the zabbix20 package, as shipped with Fedora EPEL 6. Please schedule an update (once there is final upstream patch available).
Comment 8 Jan Lieskovsky 2013-01-09 05:36:00 EST
Created zabbix20 tracking bugs for this issue

Affects: epel-6 [bug 893414]
Comment 10 Vincent Danen 2013-10-08 16:37:48 EDT
This has already been corrected in Fedora and EPEL.